
QGIS Application - Bug report #1470

Build error in 1.0.0 (linguist problem in French translation), Qt 4.5.0 beta1

2008-12-29 05:46 AM - vince -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11530

Description

I am currently trying to port Qgis to Macports. I have fetched the 1.0.0 source code as found on download.osgeo.org/qgis/src, and I use

the prerelease of Qt 4.5.0 (not yet posted to Macports) in order to get 4 way universal builds on [[MacOS]] X (i386, x86_64, ppc, ppc64)

(Qt 4.4 and less are 32-bit only).

While buildling, I find this error:

[ 56%] Generating qgis_fr.qm

lrelease error: duplicate messages found in

'/usr/pkg/var/macports/build/_Users_vincent_Developpement_ports_gis_qgis/work/qgis_1.0.0/i18n/qgis_fr.ts':

    -  Context: [[QgsLabelDialogBase]]

    -  Source: °

Well, I have dug a bit into the file with the new Linguist (which happens to signal the same error when loading the file), but I must admit I

haven't found what could possibly have gone astray. The problem is that this is a fatal error and the build aborts.

Any idea on this very basic problem?

Merci,

Vincent

History

#1 - 2009-01-31 10:05 AM - Paolo Cavallini

Apparently stable version compiles well. Please check and close the bug if appropriate

#2 - 2009-02-12 04:21 PM - dveatch -

I get the same error with qt-4.5.0rc1 and kde-4.2.0. So as a quick and dirty work around, copied a good one, like qgis_ar.ts to qgis_fr.ts. Well the make got

past that error, but then failed on another one. So I rinse and repeated the cp. Here is a list of the other *.ts files that cause the same error during the make;

qgis_lo.ts

  qgis_it.ts

  qgis_lv.ts 

  qgis_mn.ts

  qgis_sk.ts

  qgis_pt_BR.ts
So after copying qgis_ar.ts to those files, the make/make install went fine.

#3 - 2009-03-21 09:27 AM - Paolo Cavallini

Still true?

#4 - 2009-03-21 10:18 AM - dveatch -

Unfortunately does not appear to be. But your almost there. Here is the only one giving me trouble;

Updating '/usr/src/qgis_1.0.1/i18n/qt_zh_CN.qm'...

    Generated 860 translation(s) (860 finished and 0 unfinished)

Ignored 2 untranslated source text(s)

[ 60%] Generating qgis_vi.qm

Updating '/usr/src/qgis_1.0.1/i18n/qgis_vi.qm'...

    Generated 2061 translation(s) (1832 finished and 229 unfinished)

Ignored 1038 untranslated source text(s)

[ 60%] Generating qt_es.qm

Updating '/usr/src/qgis_1.0.1/i18n/qt_es.qm'...

    Generated 793 translation(s) (793 finished and 0 unfinished)

Ignored 28 untranslated source text(s)

[ 60%] Generating qgis_lo.qm

lrelease error: duplicate messages found in '/usr/src/qgis_1.0.1/i18n/qgis_lo.ts':

    -  Context: [[QgsLabelDialogBase]]

    -  Source:

maker2: * [i18n/qgis_lo.qm] Error 1

maker1:  [i18n/CMakeFiles/translations.dir/all] Error 2

make: ** [all] Error 2

#5 - 2009-03-21 10:37 AM - dveatch -

Oh I am such a knucklehead. Sorry, forgot to work around it and run cmake again. Here are some more;

qgis_mn.ts

qgis_sk.ts

qgis_lv.ts

qgis_fr.ts

qgis_it.ts

qgis_pt_BR.ts

So, they are the same ones causing the make fail.

#6 - 2009-04-16 08:56 AM - Pinpin -

The problem is still there. I compile qgis-1.0.1-2 on ubuntu jaunty and it fails on languages files. Here is the log :

[ 60%] Generating qgis_lo.qm

lrelease error: duplicate messages found in '/home/sperrinel/appli/qgis_1.0.1-2/i18n/qgis_lo.ts':
* Context: [[QgsLabelDialogBase]]

* Source: °

maker2: *** [i18n/qgis_lo.qm] Erreur 1

maker1: *** [i18n/CMakeFiles/translations.dir/all] Erreur 2

make: *** [all] Erreur 2

and the configure :

BINDINGS_GLOBAL_INSTALL          OFF                                       

 BISON_EXECUTABLE                 /usr/bin/bison                            

 CMAKE_BACKWARDS_COMPATIBILITY    2.4                                       

 CMAKE_BUILD_TYPE                                                           

 CMAKE_INSTALL_PREFIX             /usr/local/qgis1.0.1                      

 ENABLE_TESTS                     OFF                                       

 EXECUTABLE_OUTPUT_PATH                                                     

 EXPAT_INCLUDE_DIR                /usr/include                              

 EXPAT_LIBRARY                    /usr/lib/libexpat.so                      

 FLEX_EXECUTABLE                  /usr/bin/flex                             

 GDAL_CONFIG                      /usr/local/bin/gdal-config                

 GDAL_CONFIG_PREFER_FWTOOLS_PAT   /bin_safe                                 

 GDAL_CONFIG_PREFER_PATH          /bin                                      

 GDAL_INCLUDE_DIR                 /usr/local/include                        

 GDAL_LIBRARY                     /usr/local/lib/libgdal.so                 

 GEOS_CONFIG                      /usr/local/bin/geos-config                

 GEOS_CONFIG_PREFER_PATH          /bin                                      

 GEOS_INCLUDE_DIR                 /usr/local/include                        

 GEOS_LIBRARY                     /usr/local/lib/libgeos_c.so               

 GEOS_LIB_NAME_WITH_PREFIX        -lgeos_c                                  

 GRASS_PREFIX                                                               

 GSL_CONFIG                       /usr/bin/gsl-config                       

 GSL_CONFIG_PREFER_PATH           /bin                                      

 GSL_EXE_LINKER_FLAGS             -Wl,-rpath,/usr/lib                       

 PEDANTIC                         OFF                                       

 POSTGRESQL_PREFIX                                                          

 POSTGRES_CONFIG                  /usr/bin/pg_config                        

 POSTGRES_CONFIG_PREFER_PATH      /bin                                      

 POSTGRES_INCLUDE_DIR             /usr/include/postgresql                   

 POSTGRES_LIBRARY                 /usr/lib/libpq.so                         

 PROJ_INCLUDE_DIR                 /usr/local/include                        

 PROJ_LIBRARY                     /usr/local/lib/libproj.so                 

 QT_QMAKE_EXECUTABLE              /usr/bin/qmake                            

 SIP_BINARY_PATH                  /usr/bin/sip                              

 SIP_INCLUDE_DIR                  /usr/include/python2.6                    

 SQLITE3_INCLUDE_DIR              /usr/include                              

 SQLITE3_LIBRARY                  /usr/lib/libsqlite3.so                    

 SVN_MARKER                       SVN_MARKER-NOTFOUND                       

 WITH_BINDINGS                    ON                                        

 WITH_GRASS                       ON                                        

 WITH_INTERNAL_SQLITE3            OFF                                       

 WITH_POSTGRESQL                  ON                                        
#7 - 2009-04-16 09:06 AM - Pinpin -

This can help to finish the build :

lupdate-qt4 -no-obsolete -ts i18n/*.ts 

#8 - 2009-04-16 11:41 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in  (version 1.0 branch)

#9 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
